### Struct

# WebKitWebProcessExtension ConsoleMessage

#### Description

    struct WebKitConsoleMessage {
      /* No available fields */
    }

No description available.

#### Instance methods

###### webkit_console_message_copy

Make a copy of `console_message`.

Available since: 2.12

###### webkit_console_message_free

Free the `WebKitConsoleMessage`.

Available since: 2.12

###### webkit_console_message_get_level

Gets the log level of a `WebKitConsoleMessage`.

Available since: 2.12

###### webkit_console_message_get_line

Gets the line number of a `WebKitConsoleMessage`.

Available since: 2.12

###### webkit_console_message_get_source

Gets the source of a `WebKitConsoleMessage`.

Available since: 2.12

###### webkit_console_message_get_source_id

Gets the source identifier of a `WebKitConsoleMessage`.

Available since: 2.12

###### webkit_console_message_get_text

Gets the text message of a `WebKitConsoleMessage`.

Available since: 2.12